%define upstream_name    Term-EditorEdit
%define upstream_version 0.0016

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Edit a document via $EDITOR
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Text::Clip)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%{?perl_default_filter}

%description
Term::EditorEdit is a tool for prompting the user to edit a piece of text
via '$VISUAL' or '$EDITOR' and return the result

In addition to just editing a document, this module can distinguish between
a document preamble and document content, giving you a way to provide
"out-of-bound" information to whoever is editing. Once an edit is complete,
only the content (whatever was below the preamble) is returned

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/editor-edit



%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.1.600-5.mga5
+ Revision: 790526
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.600-4.mga5
+ Revision: 747699
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.1.600-3.mga5
+ Revision: 735943
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.1.600-2.mga5
+ Revision: 686366
- Mageia 5 Mass Rebuild

* Thu Apr 24 2014 shlomif <shlomif> 0.1.600-1.mga5
+ Revision: 617565
- imported package perl-Term-EditorEdit


* Thu Apr 24 2014 cpan2dist 0.0016-1mga
- initial mageia release, generated with cpan2dist
